Skip to main content
GET
/
v1
/
info
/
statistics
Get Statistics
curl --request GET \
  --url https://api.perpetuals.polymarket.com/v1/info/statistics
import requests

url = "https://api.perpetuals.polymarket.com/v1/info/statistics"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.perpetuals.polymarket.com/v1/info/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "instrument_id": 1,
    "symbol": "NVDA-USDC",
    "volume": "1000.00",
    "open_price": "100.50",
    "klines": [
      [
        1767225600000,
        "100.00",
        "105.00",
        "99.00",
        "102.00",
        "500.00",
        42
      ]
    ]
  }
]
{
"status": "err",
"error": "insufficient_margin"
}
{
"status": "err",
"error": "insufficient_margin"
}
Request Weight: 2

Query Parameters

instrument_id
integer

Instrument ID

Response

Statistics response.

instrument_id
integer
required

Instrument ID

Example:

1

symbol
string
required

Instrument symbol

Example:

"NVDA-USDC"

volume
string
required

24-hour trading volume in contracts

Example:

"1000.00"

open_price
string
required

Opening price from 24 hours ago

Example:

"100.50"

klines
array[]
required

Last 24-hour kline data

  • 1767225600000 - Open time
  • "100.00" - Open price
  • "105.00" - High price
  • "99.00" - Low price
  • "102.00" - Close price
  • "500.00" - Volume (base unit)
  • 42 - Number of trades
Example:
[
1767225600000,
"100.00",
"105.00",
"99.00",
"102.00",
"500.00",
42
]